

[model]
MODEL_TYPE=gemini



[gemini]
GEMINI_SERVER_URL=https://generativelanguage.googleapis.com/v1beta/openai/
GEMINI_MODEL_ID=gemini-2.0-flash
GEMINI_API_KEY=AIzaSyBwcjYoxci4QM1mqIaVcbIf_zmsrN9yuWE

[deepseek]
DEEPSEEK_SERVER_URL=https://api.deepseek.com
DEEPSEEK_MODEL_ID=deepseek-chat
DEEPSEEK_API_KEY=sk-9fe722389bac47e9ab30cf45b32eb736

[doubao]
DOUBAO_SERVER_URL=https://ark.cn-beijing.volces.com/api/v3/
DOUBAO_MODEL_ID=doubao-seed-1-6-flash-250715
DOUBAO_API_KEY=c98686df-506f-432c-98de-32e571a8e916


[qwen]
QWEN_SERVER_URL=https://api-inference.modelscope.cn/v1/
QWEN_MODEL_ID=Qwen/Qwen3-4B
QWEN_API_KEY=ms-9ad4a379-d592-4acd-b92c-8bac08a4a045


[ai_review]
# 调试模式配置
MAX_REVIEW_UNITS=5
REVIEW_MODE=random
# REVIEW_MODE=all/random/first



[app]
APP_CODE=lq-agent
APP_SECRET=sx-73d32556-605e-11f0-9dd8-acde48001122


[launch]
HOST = 0.0.0.0
LAUNCH_PORT = 8002

[redis]
REDIS_URL=redis://:123456@127.0.0.1:6379
REDIS_HOST=127.0.0.1
REDIS_PORT=6379
REDIS_DB=0
REDIS_PASSWORD=123456
REDIS_MAX_CONNECTIONS=50

[log]
LOG_FILE_PATH=logs
LOG_FILE_MAX_MB=10
LOG_BACKUP_COUNT=5
CONSOLE_OUTPUT=True

[user_lists]
USERS=['user-001']


[siliconflow]
SLCF_MODEL_SERVER_URL=https://api.siliconflow.cn/v1
SLCF_API_KEY=sk-npqfinszhdvnwvensnjmlqtihgevehqiyfwunedxnefkmrud
SLCF_CHAT_MODEL_ID=test-model
SLCF_EMBED_MODEL_ID=netease-youdao/bce-embedding-base_v1
SLCF_REANKER_MODEL_ID=BAAI/bge-reranker-v2-m3
SLCF_VL_CHAT_MODEL_ID=THUDM/GLM-4.1V-9B-Thinking

[lq_qwen3_8b]
QWEN_LOCAL_1_5B_SERVER_URL=http://192.168.91.253:9002/v1
QWEN_LOCAL_1_5B_MODEL_ID=Qwen3-8B
QWEN_LOCAL_1_5B_API_KEY=dummy

[lq_qwen3_4b]
QWEN_LOCAL_1_5B_SERVER_URL=http://192.168.91.253:9001/v1
QWEN_LOCAL_1_5B_MODEL_ID=Qwen3-4B
QWEN_LOCAL_1_5B_API_KEY=dummy



[mysql]
MYSQL_HOST=192.168.92.61
MYSQL_PORT=13306
MYSQL_USER=root
MYSQL_PASSWORD=lq@123
MYSQL_DB=lq_db
MYSQL_MIN_SIZE=1
MYSQL_MAX_SIZE=5
MYSQL_AUTO_COMMIT=True


[pgvector]
PGVECTOR_HOST=124.223.140.149
PGVECTOR_PORT=7432
PGVECTOR_DB=vector_db
PGVECTOR_USER=vector_user
PGVECTOR_PASSWORD=pg16@123


[milvus]
MILVUS_HOST=192.168.92.61
MILVUS_PORT=19530
MILVUS_DB=lq_db
MILVUS_USER=
MILVUS_PASSWORD=

[hybrid_search]
# 混合检索权重配置
DEFAULT_VECTOR_WEIGHT=0.7
DEFAULT_BM25_WEIGHT=0.3

[]

                    
